export declare class InteractionButtons {
    el: HTMLElement;
    message: any;
    chatArray: any[];
    currentIndex: number;
    dataKey: string;
    dataMode: string;
    voiceType: string;
    voice: string;
    source: string;
    conversationId: string;
    projectId: string;
    isPlayed: boolean;
    audioElement: HTMLAudioElement | null;
    copied: boolean;
    copyToClipboard(text: string): void;
    speakText(msg: string): Promise<void>;
    render(): any;
}
